import math;
import hyperbolic_geometry;

size(500,500);
settings.outformat="pdf";

// What do we want to test?
// A simple demo with circles

hyperbolic_point O = hyperbolic_point(0,0);
dot(O,red);

int points = 300;
real r = 0.01;
real a = 10;
real f = 0.01;

hyperbolic_point X;
hyperbolic_point Y;
hyperbolic_segment s;
hyperbolic_circle C;

for (int j = 1; j <= points; ++j) {
        X = hyperbolic_point(r+f*j, a*j);
        Y = hyperbolic_point(r+f*(j+1), a*(j+1));
        s = hyperbolic_segment(X,Y);
        //draw(s, blue);
        C = hyperbolic_circle(X,Y);

        draw(C, blue);
        dot(X, black);
        dot(Y, black);
}

draw((1,1)--(1,-1)--(-1,-1)--(-1,1)--cycle);
draw(unitcircle);
